> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gads Report

> Return report status and presigned XLSX, PDF, or CSV download URLs.

Report generation is asynchronous; poll until the status is ``completed``
or ``failed``. Only the owning user can access a task's report.



## OpenAPI

````yaml /openapi.json get /api/v1/teams/{team_id}/tasks/{task_id}/gads-report
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/tasks/{task_id}/gads-report:
    get:
      tags:
        - Teams
      summary: Get Gads Report
      description: >-
        Return report status and presigned XLSX, PDF, or CSV download URLs.


        Report generation is asynchronous; poll until the status is
        ``completed``

        or ``failed``. Only the owning user can access a task's report.
      operationId: get_gads_report_api_v1_teams__team_id__tasks__task_id__gads_report_get
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Task Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GadsReportResponse'
        '404':
          description: Team task not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GadsReportResponse:
      properties:
        generated:
          type: boolean
          title: Generated
        status:
          type: string
          enum:
            - pending
            - running
            - failed
            - completed
          title: Status
        files:
          items:
            $ref: '#/components/schemas/GadsReportFileResponse'
          type: array
          title: Files
      type: object
      required:
        - generated
        - status
      title: GadsReportResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GadsReportFileResponse:
      properties:
        format:
          anyOf:
            - type: string
            - type: 'null'
          title: Format
        filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
        file_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: File Size
        url:
          type: string
          title: Url
      type: object
      required:
        - url
      title: GadsReportFileResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````